SQL-инъекция в WordPress Booking System Plugin

Дата публикации:
27.05.2014
Дата изменения:
27.05.2014
Всего просмотров:
836
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
CVE-2014-3210
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Booking System Plugin 1.x
Уязвимые версии: WordPress Booking System Plugin 1.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "booking_form_id" в сценарии wp-admin/admin-ajax.php (когда "action" установлен в "dopbs_show_booking_form_fields" и "language"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: https://wordpress.org/plugins/

Решение: Установите последнюю версию 1.3 или выше с сайта производителя.

Ссылки: https://wordpress.org/plugins/booking-system/changelog/
http://archives.neohapsis.com/archives/bugtraq/2014-05/0118.html

или введите имя

CAPTCHA